# Uses of Interface
org.eclipse.net4j.util.security.INegotiationContext.Receiver

Packages that use INegotiationContext.Receiver
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.

## Uses of INegotiationContext.Receiver in org.eclipse.net4j.util.security

Classes in org.eclipse.net4j.util.security that implement INegotiationContext.Receiver
Modifier and Type
Class
Description
`class`
`ChallengeNegotiator`
`class`
`ChallengeResponseNegotiator`
`class`
`Negotiator<STATE extends Enum<?>,EVENT extends Enum<?>>`
`class`
`ResponseNegotiator`
Methods in org.eclipse.net4j.util.security that return INegotiationContext.Receiver
Modifier and Type
Method
Description
`INegotiationContext.Receiver`
INegotiationContext.`getReceiver()`
`INegotiationContext.Receiver`
NegotiationContext.`getReceiver()`
Methods in org.eclipse.net4j.util.security with parameters of type INegotiationContext.Receiver
Modifier and Type
Method
Description
`void`
INegotiationContext.`setReceiver(INegotiationContext.Receiver receiver)`
`void`
NegotiationContext.`setReceiver(INegotiationContext.Receiver receiver)`